package main.java;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Random;

public class UnsupportedOperationExceptionExampleList {
	private final static int TOTAL_ELEMS = 10;
	private final static Random random = new Random();
	
	public static void main(String[] args) {
		List<Integer> integers = new ArrayList<Integer>(TOTAL_ELEMS);
		
		// Fill the list with some random values.
		for(int i = 0; i < TOTAL_ELEMS; ++i)
			integers.add(random.nextInt());
		
		// Retrieve an unmodifiable view of the list.
		List<Integer> unmodifiableList = Collections.unmodifiableList(integers);
		
		// This statement throws an UnsupportedOperationException.
		unmodifiableList.add(random.nextInt());
	}
}
