package main.java;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;

public class UnsupportedOperationExceptionExampleMap {
	private final static int TOTAL_ELEMS = 10;
	private final static Random random = new Random();
	
	public static void main(String[] args) {
		Map<String, Integer> map = new HashMap<String, Integer>();
		
		// Fill the map with some random values.
		for(int i = 0; i < TOTAL_ELEMS; ++i)
			map.put(("key_" + i), random.nextInt());
		
		// Retrieve an unmodifiable view of the map.
		Map<String, Integer> unmodifiableMap = Collections.unmodifiableMap(map);
		
		// This statement throws an UnsupportedOperationException.
		unmodifiableMap.put("KEY", random.nextInt());
	}
}
