package main.java;

import java.util.Collections;
import java.util.HashSet;
import java.util.Random;
import java.util.Set;

public class UnsupportedOperationExceptionExampleSet {
	private final static int TOTAL_ELEMS = 10;
	private final static Random random = new Random();
	
	public static void main(String[] args) {
		Set<Integer> integers = new HashSet<Integer>(TOTAL_ELEMS);
		
		// Fill the set with some random values.
		for(int i = 0; i < TOTAL_ELEMS; ++i)
			integers.add(random.nextInt());
		
		// Retrieve an unmodifiable view of the set.
		Set<Integer> unmodifiableSet = Collections.unmodifiableSet(integers);
		
		// This statement throws an UnsupportedOperationException.
		unmodifiableSet.add(random.nextInt());
	}
}
