package main.java;

import java.util.Collections;
import java.util.Random;
import java.util.SortedMap;
import java.util.TreeMap;

public class UnsupportedOperationExceptionExampleSortedMap {
	private final static int TOTAL_ELEMS = 10;
	private final static Random random = new Random();
	
	public static void main(String[] args) {
		TreeMap<String, Integer> map = new TreeMap<String, Integer>();
		
		// Fill the sorted map with some random values.
		for(int i = 0; i < TOTAL_ELEMS; ++i)
			map.put(("key_" + i), random.nextInt());
		
		// Retrieve an unmodifiable view of the sorted map.
		SortedMap<String, Integer> unmodifiableSortedMap = Collections.unmodifiableSortedMap(map);
		
		// This statement throws an UnsupportedOperationException.
		unmodifiableSortedMap.put("KEY", random.nextInt());
	}
}
