package main.java;

import java.util.Collections;
import java.util.Random;
import java.util.SortedSet;
import java.util.TreeSet;

public class UnsupportedOperationExceptionExampleSortedSet {
	private final static int TOTAL_ELEMS = 10;
	private final static Random random = new Random();
	
	public static void main(String[] args) {
		TreeSet<Integer> integers = new TreeSet<Integer>();
		
		// Fill the tree set with some random values.
		for(int i = 0; i < TOTAL_ELEMS; ++i)
			integers.add(random.nextInt());
		
		// Retrieve an unmodifiable view of the tree set.
		SortedSet<Integer> unmodifiableSortedSet = Collections.unmodifiableSortedSet(integers);
		
		// This statement throws an UnsupportedOperationException.
		unmodifiableSortedSet.add(random.nextInt());
	}
}
